*
Upserts a JIT Mapping for a tenant. The Mapping is unique per tenant. Permission level: read-write
PUT /tenants/jit-mappings
Operation id: JitMappingService_UpsertJitMapping
Tags: JitMappingService
Security
- Authorization (apiKey)
- Bearer token
Responses
200 — A successful response.
Content type: application/json
default — An unexpected error response.
Content type: application/json
Request body
Required: Yes
application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
mapping | object | No |
{
"type": "object",
"properties": {
"mapping": {
"type": "object",
"properties": {
"tenantId": {
"type": "string",
"description": "The Tenant ID of the JIT Mapping. There can only be one JIT Mapping per tenant.\nRequired: false. Default: token's tenant."
},
"defaultDomain": {
"type": "string",
"description": "the default domain of the template, this value is used if an oidc_claim is not mapped in the template.\nRequired: false. Default: platform."
},
"defaultScope": {
"type": "string",
"description": "the default scope of the template, this value is used if an oidc_claim is not mapped in the template.\nRequired: false. Default: core."
},
"attributes": {
"type": "array",
"description": "List of attribute mappings from OIDC claims to User domain fields or custom attribute fields.",
"items": {
"type": "object",
"properties": {
"oidcClaim": {
"type": "string"
},
"userField": {
"type": "object"
},
"scope": {
"type": "string"
},
"domain": {
"type": "string"
}
}
}
}
}
}
}
}
Response models
200 — A successful response.
Content type: application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
mapping | object | No |
{
"type": "object",
"properties": {
"mapping": {
"type": "object",
"properties": {
"tenantId": {
"type": "string",
"description": "The Tenant ID of the JIT Mapping. There can only be one JIT Mapping per tenant.\nRequired: false. Default: token's tenant."
},
"defaultDomain": {
"type": "string",
"description": "the default domain of the template, this value is used if an oidc_claim is not mapped in the template.\nRequired: false. Default: platform."
},
"defaultScope": {
"type": "string",
"description": "the default scope of the template, this value is used if an oidc_claim is not mapped in the template.\nRequired: false. Default: core."
},
"attributes": {
"type": "array",
"description": "List of attribute mappings from OIDC claims to User domain fields or custom attribute fields.",
"items": {
"type": "object",
"properties": {
"oidcClaim": {
"type": "string"
},
"userField": {
"type": "object"
},
"scope": {
"type": "string"
},
"domain": {
"type": "string"
}
}
}
}
}
}
}
}
default — An unexpected error response.
Content type: application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
code | integer (int32) | No | |
message | string | No | |
details | array | No |
{
"type": "object",
"properties": {
"code": {
"type": "integer",
"format": "int32"
},
"message": {
"type": "string"
},
"details": {
"type": "array",
"items": {
"type": "object",
"properties": {
"@type": {
"type": "string"
}
}
}
}
}
}